import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier, } from "../modifiers/index.js";
export const Breadcrumb = ({ className, children, separator, isCentered, isRight, ...props }) => {
    const _class = classNames("breadcrumb", modifier({ isCentered, isRight }), separator === undefined ? "" : `has-${separator}-separator`, className);
    return (_jsx("nav", { className: _class, "aria-label": "breadcrumbs", ...props, children: _jsx("ul", { children: children }) }));
};
export const BreadcrumbItem = ({ className, children, isActive, ...props }) => {
    const _class = classNames(modifier({ isActive }), className);
    return (_jsx("li", { className: _class, ...props, children: children }));
};
