import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, sizeClassName, } from "../modifiers/index.js";
export const Button = ({ children, className, color, isActive, isExpanded, isFocused, isFullwidth, isInverted, isLight, isLoading, isOutlined, isRounded, isStatic, size, ...props }) => {
    const _class = classNames("button", colorClassName(color), sizeClassName(size), modifier({
        isActive,
        isExpanded,
        isFocused,
        isFullwidth,
        isInverted,
        isLight,
        isLoading,
        isOutlined,
        isRounded,
        isStatic,
    }), className);
    return (_jsx("button", { className: _class, ...props, children: children }));
};
export const ButtonDelete = ({ size, ...props }) => {
    const _class = classNames("delete", sizeClassName(size));
    return _jsx("button", { className: _class, ...props });
};
