import { FC, HTMLAttributes, PropsWithChildren } from "react";
import { Breakpoint, BooleanModifierProps, ColorModifierProp, MainColor } from "../modifiers/index.js";
type ContainerFullWidth = Extract<Breakpoint, "fullhd" | "widescreen">;
type ContainerMaxWidth = Extract<Breakpoint, "desktop" | "widescreen">;
export type ContainerProps = HTMLAttributes<HTMLDivElement> & ColorModifierProp<MainColor> & Pick<BooleanModifierProps, "isFluid"> & Partial<{
    fullWidth: ContainerFullWidth;
    maxWidth: ContainerMaxWidth;
}>;
export declare const Container: FC<PropsWithChildren<ContainerProps>>;
export {};
//# sourceMappingURL=Container.d.ts.map