import { FC, AnchorHTMLAttributes, ButtonHTMLAttributes, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps } from "../modifiers/index.js";
export type DropdownProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isActive" | "isHoverable" | "isRight" | "isUp">;
export declare const Dropdown: FC<PropsWithChildren<DropdownProps>>;
export declare const DropdownDivider: FC;
type DropdownItemModifierProps = Pick<BooleanModifierProps, "isActive">;
export type DropdownItemProps = HTMLAttributes<HTMLDivElement> & DropdownItemModifierProps;
export declare const DropdownItem: FC<DropdownItemProps>;
export type DropdownItemAnchorProps = AnchorHTMLAttributes<HTMLAnchorElement> & DropdownItemModifierProps;
export declare const DropdownItemAnchor: FC<DropdownItemAnchorProps>;
export type DropdownMenuProps = Omit<HTMLAttributes<HTMLDivElement>, "className">;
export declare const DropdownMenu: FC<PropsWithChildren<DropdownMenuProps>>;
export type DropdownTriggerProps = ButtonHTMLAttributes<HTMLButtonElement>;
export declare const DropdownTrigger: FC<PropsWithChildren<DropdownTriggerProps>>;
export {};
//# sourceMappingURL=Dropdown.d.ts.map