import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { colorClassName, modifier, sizeClassName, } from "../modifiers/index.js";
export const Hero = ({ className, children, color, head, foot, isFullheight, isFullheightWithNavbar, isHalfheight, size, ...props }) => {
    const hasHeadAndFoot = Boolean(head) && Boolean(foot);
    const _class = classNames("hero", colorClassName(color), sizeClassName(size), modifier({
        isFullheight: isFullheight && hasHeadAndFoot,
        isFullheightWithNavbar,
        isHalfheight,
    }), className);
    return (_jsxs("section", { className: _class, ...props, children: [head ? _jsx("div", { className: "hero-head", children: head }) : null, _jsx("div", { className: "hero-body", children: children }), foot ? _jsx("div", { className: "hero-foot", children: foot }) : null] }));
};
