import { FC, ButtonHTMLAttributes, HTMLAttributes, PropsWithChildren, ReactNode } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type ModalProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isActive">;
export declare const Modal: FC<PropsWithChildren<ModalProps>>;
export type ModalBackgroundProps = HTMLAttributes<HTMLDivElement>;
export declare const ModalBackground: FC<ModalBackgroundProps>;
export type ModalCardProps = ModalProps & Partial<{
    header: ReactNode;
    content: ReactNode;
    footer: ReactNode;
}>;
export declare const ModalCard: FC<PropsWithChildren<ModalCardProps>>;
export type ModalCloseProps = ButtonHTMLAttributes<HTMLButtonElement> & SizeModifierProp<"large">;
export declare const ModalClose: FC<ModalCloseProps>;
export type ModalContentProps = HTMLAttributes<HTMLDivElement>;
export declare const ModalContent: FC<PropsWithChildren<ModalContentProps>>;
//# sourceMappingURL=Modal.d.ts.map