import { AnchorHTMLAttributes, Dispatch, FC, HTMLAttributes, PropsWithChildren, SetStateAction } from "react";
import { BooleanModifierProps, ColorModifierProp, MainColor, ShadeColor } from "../modifiers/index.js";
export type NavbarProps = HTMLAttributes<HTMLElement> & ColorModifierProp<MainColor | ShadeColor> & Pick<BooleanModifierProps, "isHoverable" | "isSpaced" | "isTransparent" | "hasShadow">;
export declare const Navbar: FC<PropsWithChildren<NavbarProps>>;
export type NavbarBrandProps = HTMLAttributes<HTMLDivElement>;
export declare const NavbarBrand: FC<PropsWithChildren<NavbarBrandProps>>;
export declare const NavbarDivider: FC;
export type NavbarBurgerProps = Omit<HTMLAttributes<HTMLDivElement>, "onClick"> & Pick<BooleanModifierProps, "isActive"> & {
    setIsActive: Dispatch<SetStateAction<boolean>>;
};
export declare const NavbarBurger: FC<NavbarBurgerProps>;
export type NavbarDropdownProps = HTMLAttributes<HTMLDivElement>;
export declare const NavbarDropdown: FC<PropsWithChildren<NavbarDropdownProps>>;
export type NavbarEndProps = HTMLAttributes<HTMLDivElement>;
export declare const NavbarEnd: FC<PropsWithChildren<NavbarEndProps>>;
export type NavbarItemProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isActive" | "hasDropdown" | "hasDropdownUp" | "isExpanded" | "isHoverable" | "isTab">;
export declare const NavbarItem: FC<NavbarItemProps>;
export type NavbarItemAnchorProps = AnchorHTMLAttributes<HTMLAnchorElement> & Pick<BooleanModifierProps, "isActive">;
export declare const NavbarItemAnchor: FC<NavbarItemAnchorProps>;
export type NavbarLinkProps = AnchorHTMLAttributes<HTMLAnchorElement>;
export declare const NavbarLink: FC<PropsWithChildren<NavbarLinkProps>>;
export type NavbarMenuProps = HTMLAttributes<HTMLDivElement> & Pick<BooleanModifierProps, "isActive">;
export declare const NavbarMenu: FC<PropsWithChildren<NavbarMenuProps>>;
export type NavbarStartProps = HTMLAttributes<HTMLDivElement>;
export declare const NavbarStart: FC<PropsWithChildren<NavbarStartProps>>;
//# sourceMappingURL=Navbar.d.ts.map