import { FC, AnchorHTMLAttributes, HTMLAttributes, PropsWithChildren } from "react";
import { BooleanModifierProps, SizeModifierProp } from "../modifiers/index.js";
export type PaginationProps = HTMLAttributes<HTMLElement> & SizeModifierProp<"small" | "medium" | "large"> & Pick<BooleanModifierProps, "isCentered" | "isRight" | "isRounded">;
export declare const Pagination: FC<PropsWithChildren<PaginationProps>>;
export declare const PaginationEllipsis: FC;
export type PaginationLinkProps = AnchorHTMLAttributes<HTMLAnchorElement> & Partial<{
    isCurrent: boolean;
}>;
export declare const PaginationLink: FC<PropsWithChildren<PaginationLinkProps>>;
export type PaginationListProps = Omit<HTMLAttributes<HTMLUListElement>, "className">;
export declare const PaginationList: FC<PropsWithChildren<PaginationListProps>>;
export type PaginationIncrementalNavigationProps = AnchorHTMLAttributes<HTMLAnchorElement> & Pick<BooleanModifierProps, "isDisabled">;
export declare const PaginationNext: FC<PropsWithChildren<PaginationIncrementalNavigationProps>>;
export declare const PaginationPrevious: FC<PropsWithChildren<PaginationIncrementalNavigationProps>>;
//# sourceMappingURL=Pagination.d.ts.map