import { jsx as _jsx } from "react/jsx-runtime";
import { classNames } from "../classNames.js";
import { modifier, sizeClassName, } from "../modifiers/index.js";
export const Pagination = ({ className, children, isCentered, isRight, isRounded, size, ...props }) => {
    const _class = classNames("pagination", sizeClassName(size), modifier({ isCentered, isRight, isRounded }), className);
    return (_jsx("nav", { className: _class, "aria-label": "pagination", ...props, children: _jsx("ul", { children: children }) }));
};
export const PaginationEllipsis = () => (_jsx("li", { children: _jsx("span", { className: "pagination-ellipsis", children: "\u2026" }) }));
export const PaginationLink = ({ children, className, isCurrent, ...props }) => {
    const _class = classNames("pagination-link", { "is-current": isCurrent }, className);
    return (_jsx("li", { children: _jsx("a", { className: _class, ...props, children: children }) }));
};
export const PaginationList = ({ children, ...props }) => (_jsx("ul", { className: "pagination-list", ...props, children: children }));
export const PaginationNext = ({ children, className, isDisabled, ...props }) => {
    const _class = classNames("pagination-next", modifier({ isDisabled }), className);
    return (_jsx("a", { className: _class, ...props, children: children }));
};
export const PaginationPrevious = ({ children, className, isDisabled, ...props }) => {
    const _class = classNames("pagination-previous", modifier({ isDisabled }), className);
    return (_jsx("a", { className: _class, ...props, children: children }));
};
